/* ----------------------------------------------------------------------- */
/*         Fernando Berzal Galiano       ETS Ingeniera Informtica        */
/* ----------------------------------------------------------------------- */

#include "DB.H"

/* ----------------------------------------------------------------------- */
/*                         Operaciones de bsqueda                         */
/* ----------------------------------------------------------------------- */

#ifndef __DB_BUSQUEDA__

#define __DB_BUSQUEDA__

/* ----------------------------------------------------------------------- */

typedef struct Busqueda {
			  int elementos;
			  Lista fichas;
			};

typedef struct Busqueda *Busqueda;

/* ----------------------------------------------------------------------- */

void DestruyeBusqueda (Busqueda *b);

/* ----------------------------------------------------------------------- */
/*  Bsqueda por el contenido de un campo                                  */

Busqueda BuscaCampo (DataBase BD, int NumCampo, void *tema);

/* ----------------------------------------------------------------------- */

int   Fichas        (Busqueda b);
Lista ListaBusqueda (Busqueda b);
long  NumFicha      (Busqueda b, Nodo n);

/* ----------------------------------------------------------------------- */

#endif

/* ----------------------------------------------------------------------- */
