/* ----------------------------------------------------------------------- */
/*    Fernando Berzal Galiano                ETS Ingeniera Informtica    */
/* ----------------------------------------------------------------------- */

/* ----------------------------------------------------------------------- */
/* ----------------------------------------------------------------------- */
/*                       Captura perfecta de datos                         */
/* ----------------------------------------------------------------------- */
/* ----------------------------------------------------------------------- */

#ifndef __FBG_UTILS__
#define __FBG_UTILS__

/* ----------------------------------------------------------------------- */

int EditaCadena ( char *cadena, int longitud);

/* Edita una cadena de caracteres de longitud 'Longitud' (incluido \0).   */
/* Admite cursores, backspace, Supr, Inicio, Fin e Insert.                */
/* Devuelve el ltimo carcter pulsado (tipo int).                        */

/*------------------------------------------------------------------------*/

int LeeCadena (char *cadena, int longitud );

  /* Lee una cadena de caracteres de longitud 'longitud'               */
  /* Admite cursores,  backspace,  Supr,  Inicio, Fin y modo insertar. */
  /* Usa la funcin EditaCadena.                                       */

/* ----------------------------------------------------------------------- */

int EditaEntero ( long *numero);

int EditaENTERO ( long *numero, int longitud );

/* ----------------------------------------------------------------------- */

int EditaReal   (double *numero);

/* ----------------------------------------------------------------------- */

#endif
