/* ----------------------------------------------------------------------- */
/*         Fernando Berzal Galiano       ETS Ingeniera Informtica        */
/* ----------------------------------------------------------------------- */
/*                    Sistema automtico de mens                          */
/* ----------------------------------------------------------------------- */

#ifndef __FBG_MENU__
#define __FBG_MENU__

/* ----------------------------------------------------------------------- */

#include "FB_list.h"

/* ----------------------------------------------------------------------- */
/* ----------------------------------------------------------------------- */
/* ----------------------------------------------------------------------- */

#define MENU 30

/* ----------------------------------------------------------------------- */

typedef struct item {
		      char tecla;
		      char nombre[MENU];
		    } MenuItem;

typedef struct menu {
		      int elementos;
		      Lista info;
		    } InfoMenu;

typedef InfoMenu *Menu;

/* ----------------------------------------------------------------------- */
/* ----------------------------------------------------------------------- */

Menu CreaMenu (void);

/* ----------------------------------------------------------------------- */

void OpcionMenu (Menu menu, char tecla, char *nombre);

/* ----------------------------------------------------------------------- */

void DestruyeMenu (Menu *menu);

/* ----------------------------------------------------------------------- */

int EjecutaMenu (Menu menu);

/* ----------------------------------------------------------------------- */
/* ----------------------------------------------------------------------- */
/* ----------------------------------------------------------------------- */

#define COMANDO 10+1

/* ----------------------------------------------------------------------- */

typedef struct Comando {
			 int letra;
			 char nombre[COMANDO];
		       } Comando;

typedef struct CL {
		    int elementos;
		    int longitud;
		    Lista comandos;
		  } InfoCL;

typedef InfoCL *CommandLine;

/* ----------------------------------------------------------------------- */
/* ----------------------------------------------------------------------- */

CommandLine CreaCL (void);

/* ----------------------------------------------------------------------- */

void NuevoComando (CommandLine CL, char *nombre);

/* ----------------------------------------------------------------------- */

void DestruyeCL (CommandLine *CL);

/* ----------------------------------------------------------------------- */

void MuestraCL (CommandLine CL, int linea);

/* ----------------------------------------------------------------------- */

int TeclaCL (CommandLine CL, int tecla);

/* ----------------------------------------------------------------------- */
/* ----------------------------------------------------------------------- */
/* ----------------------------------------------------------------------- */

int YesNo (const char *cadena, int YN);

/* ----------------------------------------------------------------------- */
/* ----------------------------------------------------------------------- */
/* ----------------------------------------------------------------------- */

#endif