/* ----------------------------------------------------------------------- */
/*    Fernando Berzal Galiano                ETS Ingeniera Informtica    */
/* ----------------------------------------------------------------------- */
/*                           Manejo de textos                              */
/* ----------------------------------------------------------------------- */

#include "FB_List.H"

#ifndef Texto
#define Texto Lista
#define Linea Nodo
#endif

/* ----------------------------------------------------------------------- */

Texto CreaTexto (void);

/* ----------------------------------------------------------------------- */

void DestruyeTexto (Texto *texto);

/* ----------------------------------------------------------------------- */

Linea SiguienteLinea (Texto t, Linea l);
Linea AnteriorLinea (Texto t, Linea l);

Linea PrimeraLinea (Texto t);
Linea UltimaLinea (Texto t);

Linea FinTexto (Texto t);

/* ----------------------------------------------------------------------- */

char *CadenaLinea (Texto t, Linea l);

/* ----------------------------------------------------------------------- */

int InsertaLinea (Texto t, Linea l, char *s);

int AgregaLinea (Texto t, char *s);

/* ----------------------------------------------------------------------- */

void BorraLinea (Texto t, Linea l);

/* ----------------------------------------------------------------------- */
/* ----------------------------------------------------------------------- */

Texto CargaTexto (char *fichero);

/* ----------------------------------------------------------------------- */

void GuardaTexto (Texto texto, char *fichero);

/* ----------------------------------------------------------------------- */
